Package be.fgov.ehealth.dics.protocol.v5

# Class GenericReferenceEntryType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.GenericReferenceEntryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class GenericReferenceEntryType extends Object implements Serializable

Java class for GenericReferenceEntryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericReferenceEntryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Field" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericReferenceEntryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getFields()`
  One field element for each column in the reference table.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericReferenceEntryType

    public GenericReferenceEntryType()

- ## Method Details

  - ### getFields

    public List<AdditionalFieldsType> getFields()
    One field element for each column in the reference table. If the column value is null, no Field element is present. Gets the value of the fields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fields property.

    For example, to add a new item, do as follows:

         getFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the fields property.